    One-dimensional delta function.

delta1d

The delta function model is only non-zero at a single point (or bin for integrated grids).

>>> create_model_component("delta1d", "mdl")
>>> print(mdl)

Create a component of the delta1d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.pos thawed 0 -3.40282e+38 3.40282e+38 mdl.ampl thawed 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
pos
The position of the signal.
ampl
The amplitude.

Notes

The functional form of the model for points is:

f(x) = ampl if x == pos = 0 otherwise

and for an integrated grid it is:

f(lo,hi) = ampl if lo <= pos <= hi = 0 otherwise

This behavior is different to how the amplitude is handled in other models, such as const1d .

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023